WireMock
probe Wiremock

# mappings

Return a list of all mappings

Run it now
View details

Type | probe
Module | chaoswm.probes
Name | mappings
Return | list

Usage

JSON

    {
      "name": "mappings",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoswm.probes",
        "func": "mappings"
      }
    }

YAML

    name: mappings
    provider:
      func: mappings
      module: chaoswm.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
c | mapping | null | No | Configuration | Server configuration

Signature

    def mappings(c: Dict[str, Dict[str, str]] = None) -> List[Any]:
        pass

## Related starters

- WireMock
  action Wiremock

  ## `random_delay`

  Adds a random delay to a list of mapppings
- WireMock
  action Wiremock

  ## `delete_mappings`

  Deletes a list of mappings
- WireMock
  utils Wiremock

  ## `get_wm_params`

  Calculate WireMock parameters